Package org.spongepowered.asm.mixin.gen

## Class AccessorGeneratorField

- java.lang.Object
- - org.spongepowered.asm.mixin.gen.AccessorGenerator
  - - org.spongepowered.asm.mixin.gen.AccessorGeneratorField

Direct Known Subclasses:
  `AccessorGeneratorFieldGetter`, `AccessorGeneratorFieldSetter`

    public abstract class AccessorGeneratorField
    extends AccessorGenerator

Accessor generator for field accessors

### Field Summary

Fields
`protected org.objectweb.asm.tree.FieldNode` `targetField` The target field, identified by the accessor info
`protected org.objectweb.asm.Type` `targetType` The type of the target member

### Fields inherited from class org.spongepowered.asm.mixin.gen.AccessorGenerator

`info, targetIsInterface, targetIsStatic`

### Constructor Summary

Constructors
`AccessorGeneratorField​(AccessorInfo info)`

### Method Summary

### Methods inherited from class org.spongepowered.asm.mixin.gen.AccessorGenerator

`checkModifiers, createMethod, generate, validate`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### targetField

    protected final org.objectweb.asm.tree.FieldNode targetField

The target field, identified by the accessor info

#### targetType

    protected final org.objectweb.asm.Type targetType

The type of the target member

### Constructor Detail

#### AccessorGeneratorField

    public AccessorGeneratorField​(AccessorInfo info)